List Verification Requests
Get a list of previously-submitted tollfree verification requests
GET
/
messaging_tollfree
/
verification
/
requests
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const verificationRequestStatus of client.messagingTollfree.verification.requests.list({
page: 1,
page_size: 1,
})) {
console.log(verificationRequestStatus.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.messaging_tollfree.verification.requests.list(
page=1,
page_size=1,
)
page = page.records[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.MessagingTollfree.Verification.Requests.List(context.TODO(), telnyx.MessagingTollfreeVerificationRequestListParams{
Page: 1,
PageSize: 1,
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestListPage;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RequestListParams params = RequestListParams.builder()
.page(1L)
.pageSize(1L)
.build();
RequestListPage page = client.messagingTollfree().verification().requests().list(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.messaging_tollfree.verification.requests.list(page: 1, page_size: 1)
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
use Telnyx\MessagingTollfree\Verification\Requests\TfVerificationStatus;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->messagingTollfree->verification->requests->list(
page: 1,
pageSize: 1,
businessName: 'business_name',
dateEnd: new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
dateStart: new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
phoneNumber: 'phone_number',
status: TfVerificationStatus::VERIFIED,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-tollfree:verification:requests list \
--api-key 'My API Key' \
--page 1 \
--page-size 1curl --request GET \
--url https://api.telnyx.com/v2/messaging_tollfree/verification/requests \
--header 'Authorization: Bearer <token>'{
"records": [],
"total_records": 0
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "string",
"parameter": "string"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number to retrieve (1-based).
Required range:
x >= 1Request this many records per page
This value is automatically clamped if the provided value is too large.
Required range:
x >= 1Start of the date range filter (inclusive, ISO 8601).
End of the date range filter (inclusive, ISO 8601).
Filter results by status. Tollfree verification status
Available options:
Verified, Rejected, Waiting For Vendor, Waiting For Customer, Waiting For Telnyx, In Progress Filter results by phone number.
Filter verification requests by business name
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const verificationRequestStatus of client.messagingTollfree.verification.requests.list({
page: 1,
page_size: 1,
})) {
console.log(verificationRequestStatus.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.messaging_tollfree.verification.requests.list(
page=1,
page_size=1,
)
page = page.records[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.MessagingTollfree.Verification.Requests.List(context.TODO(), telnyx.MessagingTollfreeVerificationRequestListParams{
Page: 1,
PageSize: 1,
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestListPage;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RequestListParams params = RequestListParams.builder()
.page(1L)
.pageSize(1L)
.build();
RequestListPage page = client.messagingTollfree().verification().requests().list(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.messaging_tollfree.verification.requests.list(page: 1, page_size: 1)
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
use Telnyx\MessagingTollfree\Verification\Requests\TfVerificationStatus;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->messagingTollfree->verification->requests->list(
page: 1,
pageSize: 1,
businessName: 'business_name',
dateEnd: new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
dateStart: new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
phoneNumber: 'phone_number',
status: TfVerificationStatus::VERIFIED,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-tollfree:verification:requests list \
--api-key 'My API Key' \
--page 1 \
--page-size 1curl --request GET \
--url https://api.telnyx.com/v2/messaging_tollfree/verification/requests \
--header 'Authorization: Bearer <token>'{
"records": [],
"total_records": 0
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "string",
"parameter": "string"
}
}
]
}